<?php

require_once ("../../config/Cado.php");

require_once ("cUsuariogestion.php");

$oUsuario = new cUsuariogestion();

/*require_once ("cUsuariodetalle.php");

$oUsuariodetalle = new cUsuariodetalle();*/





if($_POST['action']=="editar"){

	$usu_id=$_POST['id'];

	$dts=$oUsuario->mostrarUno($_POST['id']);

	$dt = mysql_fetch_array($dts);

		$usugru		=$dt['tb_usuariogrupo_id'];

		$usugru_nom	=$dt['tb_usuariogrupo_nom'];

		$nom		=$dt['tb_usuario_nom'];

		$apepat		=$dt['tb_usuario_apepat'];

		$apemat		=$dt['tb_usuario_apemat'];

		$use		=$dt['tb_usuario_use'];

		$ema		=$dt['tb_usuario_ema'];



	mysql_free_result($dts);

	

	/*$dts=$oUsuariodetalle->mostrarUno($_POST['id']);

	$dt = mysql_fetch_array($dts);

	

		$dni	=$dt['tb_usuario_dni'];



	mysql_free_result($dts);*/

}



?>



<script type="text/javascript">



//function

$(function() {

	

	

	

$('#btnguardar').click(function() {

	

	$("#for_usu_use").submit();

	

	});



	

	$('#for_usu_use').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },  

	      fields: {	       	

	      	txt_use: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

		  }}

	  }).on('success.form.bv', function(e) {



	  	/*--- Save ---*/

	  	$.ajax({

	  		type: "POST",

	  		url: "../usuariogestion/usuariogestion_user_reg.php",

	  		async:true,

	  		dataType: "html",

	  		data: ({

					action: 	$('#user_action').val(),

					hdd_usu_id: $('#hdd_usu_id').val(),

					txt_use:	$('#txt_use').val()

		

				}),

	  		beforeSend: function() {			

					$('#msj_usuario').html("Guardando...");

			        $('#msj_usuario').show(100);

				

	  		},

	  		success: function(data){	

	  			

			$('#msj_usuario').html(data);



	  		},

	  		complete: function(){

	  			$("#content").load("../usuariogestion/usuariogestion_vista.php");

	  		}

	  	}); 



	  });

	  



});



</script>

<div style="padding:2px">

	<strong><?php //echo $apepat.' '.$apemat.' '.$nom?></strong>

</div>

<form id="for_usu_use">

	<input name="user_action" id="user_action" type="hidden" value="<?php echo $_POST['action']?>">

    <input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_POST['id']?>">

    

	

	 <div class="col-lg-2 col-xs-6">

		Nombre de Usuario: <br /> <strong><?php echo $use?></strong>

	 </div>

	 

	 <div class="col-lg-2 col-xs-6">

		<label for="txt_mon_sim">Nuevo Nombre de usuario:</label><br />		

	 </div>

	 

	 <div class="col-lg-2 col-xs-6">

	<input name="txt_use" class="form-control"  id="txt_use" type="text" />  		

	 </div>

	

<div class="col-lg-4 col-xs-6">

    <span id="btnguardar"  class="btn btn-primary">GUARDAR DATOS</span>

	</div>



</form>